The shake-ext package

[ Tags: bsd3, development, library, shake ] [ Propose Tags ]

This package provides several linters out of the box, for use with shake.


[Skip to Readme]

Properties

Versions 0.1.0.0, 0.1.0.1, 0.2.0.0, 0.2.0.1, 0.2.0.2, 0.2.0.3, 0.3.0.0, 0.3.1.0, 0.3.1.1, 0.3.1.2, 0.3.1.3, 0.4.0.0, 0.4.0.1, 0.4.0.2, 0.4.1.0, 0.4.2.0, 0.5.0.0, 0.5.0.1, 0.5.0.2, 0.5.0.3, 0.5.0.4, 1.0.0.0, 1.1.0.0, 1.2.0.0, 1.2.0.1, 1.2.0.2, 1.2.0.3, 1.3.0.0, 1.3.0.1, 1.3.0.2, 1.4.0.0, 1.4.0.1, 1.4.0.2, 1.4.0.3, 1.4.0.4, 1.4.0.5, 1.4.0.6, 1.4.0.7, 1.4.0.8, 1.4.0.9, 1.5.0.0, 2.0.0.0, 2.0.0.1, 2.0.0.2, 2.0.0.5, 2.1.0.0, 2.1.0.1, 2.1.0.2, 2.2.0.0, 2.3.0.0, 2.3.0.1, 2.4.0.0, 2.4.0.1, 2.5.0.0
Dependencies base (>=4.10 && <5), Cabal (>=2.0), composition-prelude, directory, mtl, shake, template-haskell, text [details]
License BSD3
Copyright Copyright: (c) 2018 Vanessa McHale
Author Vanessa McHale
Maintainer vamchale@gmail.com
Category Development, Shake
Home page https://hub.darcs.net/vmchale/shake-ext
Source repo head: darcs get https://hub.darcs.net/vmchale/ats
Uploaded Tue Feb 13 07:44:42 UTC 2018 by vmchale
Distributions NixOS:2.3.0.1
Downloads 1394 total (1105 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs available [build log]
Last success reported on 2018-02-13 [all 1 reports]
Hackage Matrix CI

Modules

[Index]

Flags

NameDescriptionDefaultType
development

Enable -Werror

DisabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees


Readme for shake-ext-2.4.0.0

[back to package description]

shake-ext

Several extensions to shake, including facilities for building Haskell, as well as various linters. This package includes functions to determine dependencies automatically from .cabal files.